Package org.apache.sysds.runtime.controlprogram.parfor

## Class RemoteDPParForSpark

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.RemoteDPParForSpark

    public class RemoteDPParForSpark
    extends Object

TODO heavy hitter maintenance TODO data partitioning with binarycell

### Constructor Summary

Constructors
`RemoteDPParForSpark()`

### Method Summary

All Methods Static Methods Concrete Methods
`static RemoteParForJobReturn` `runJob​(long pfid, String itervar, String matrixvar, String program, HashMap<String,​byte[]> clsMap, String resultFile, MatrixObject input, ExecutionContext ec, ParForProgramBlock.PartitionFormat dpf, Types.FileFormat fmt, boolean tSparseCol, boolean enableCPCaching, int numReducers)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteDPParForSpark

    public RemoteDPParForSpark()

### Method Detail

#### runJob

    public static RemoteParForJobReturn runJob​(long pfid,
                                               String itervar,
                                               String matrixvar,
                                               String program,
                                               HashMap<String,​byte[]> clsMap,
                                               String resultFile,
                                               MatrixObject input,
                                               ExecutionContext ec,
                                               ParForProgramBlock.PartitionFormat dpf,
                                               Types.FileFormat fmt,
                                               boolean tSparseCol,
                                               boolean enableCPCaching,
                                               int numReducers)